Package org.osgi.service.remoteserviceadmin

# Class RemoteServiceAdminEvent

java.lang.Object
org.osgi.service.remoteserviceadmin.RemoteServiceAdminEvent

Direct Known Subclasses:
  `RemoteServiceAdmin.RemoteServiceAdminEvent`

public class RemoteServiceAdminEvent extends Object
Provides the event information for a Remote Service Admin event.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`EXPORT_ERROR`
A fatal exporting error occurred.
`static final int`
`EXPORT_REGISTRATION`
Add an export registration.
`static final int`
`EXPORT_UNREGISTRATION`
Remove an export registration.
`static final int`
`EXPORT_UPDATE`
Update an export registration.
`static final int`
`EXPORT_WARNING`
A problematic situation occurred, the export is still active.
`static final int`
`IMPORT_ERROR`
A fatal importing error occurred.
`static final int`
`IMPORT_REGISTRATION`
Add an import registration.
`static final int`
`IMPORT_UNREGISTRATION`
Remove an import registration.
`static final int`
`IMPORT_UPDATE`
Update an import registration.
`static final int`
`IMPORT_WARNING`
A problematic situation occurred, the import is still active.

## Constructor Summary

Constructors
Constructor
Description
`RemoteServiceAdminEvent(int type, Bundle source, ExportReference exportReference, Throwable exception)`
Create a Remote Service Admin Event for an export notification.
`RemoteServiceAdminEvent(int type, Bundle source, ImportReference importReference, Throwable exception)`
Create a Remote Service Admin Event for an import notification.

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getException()`
Return the exception for this event.
`ExportReference`
`getExportReference()`
Return the Export Reference for this event.
`ImportReference`
`getImportReference()`
Return the Import Reference for this event.
`Bundle`
`getSource()`
Return the bundle source of this event.
`int`
`getType()`
Return the type of this event.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IMPORT_REGISTRATION

public static final int IMPORT_REGISTRATION
Add an import registration. The Remote Service Admin will send this event when it imports a service. When the `RemoteServiceAdminListener` service is registered, the Remote Service Admin must notify the listener of all existing Import Registrations.

See Also:
  - Constant Field Values

### EXPORT_REGISTRATION

public static final int EXPORT_REGISTRATION
Add an export registration. The Remote Service Admin will send this event when it exports a service. When the `RemoteServiceAdminListener` service is registered, the Remote Service Admin must notify the listener of all existing Export Registrations.

See Also:
  - Constant Field Values

### EXPORT_UNREGISTRATION

public static final int EXPORT_UNREGISTRATION
Remove an export registration. The Remote Service Admin will send this event when it removes the export of a service.

See Also:
  - Constant Field Values

### IMPORT_UNREGISTRATION

public static final int IMPORT_UNREGISTRATION
Remove an import registration. The Remote Service Admin will send this event when it removes the import of a service.

See Also:
  - Constant Field Values

### IMPORT_ERROR

public static final int IMPORT_ERROR
A fatal importing error occurred. The Import Registration has been closed.

See Also:
  - Constant Field Values

### EXPORT_ERROR

public static final int EXPORT_ERROR
A fatal exporting error occurred. The Export Registration has been closed.

See Also:
  - Constant Field Values

### EXPORT_WARNING

public static final int EXPORT_WARNING
A problematic situation occurred, the export is still active.

See Also:
  - Constant Field Values

### IMPORT_WARNING

public static final int IMPORT_WARNING
A problematic situation occurred, the import is still active.

See Also:
  - Constant Field Values

### IMPORT_UPDATE

public static final int IMPORT_UPDATE
Update an import registration. The Remote Service Admin will send this event when it updates a service.

Since:
  1.1
See Also:
  - Constant Field Values

### EXPORT_UPDATE

public static final int EXPORT_UPDATE
Update an export registration. The Remote Service Admin will send this event when it exports a service.

Since:
  1.1
See Also:
  - Constant Field Values

## Constructor Details

### RemoteServiceAdminEvent

public RemoteServiceAdminEvent(int type, Bundle source, ExportReference exportReference, Throwable exception)
Create a Remote Service Admin Event for an export notification.

Parameters:
  `type` - The event type.
  `source` - The source bundle, must not be `null`.
  `exportReference` - The exportReference, can not be `null`.
  `exception` - Any exceptions encountered, can be `null`.

### RemoteServiceAdminEvent

public RemoteServiceAdminEvent(int type, Bundle source, ImportReference importReference, Throwable exception)
Create a Remote Service Admin Event for an import notification.

Parameters:
  `type` - The event type.
  `source` - The source bundle, must not be `null`.
  `importReference` - The importReference, can not be `null`.
  `exception` - Any exceptions encountered, can be `null`.

## Method Details

### getImportReference

public ImportReference getImportReference()
Return the Import Reference for this event.

Returns:
  The Import Reference or `null`.

### getExportReference

public ExportReference getExportReference()
Return the Export Reference for this event.

Returns:
  The Export Reference or `null`.

### getException

public Throwable getException()
Return the exception for this event.

Returns:
  The exception or `null`.

### getType

public int getType()
Return the type of this event.

Returns:
  The type of this event.

### getSource

public Bundle getSource()
Return the bundle source of this event.

Returns:
  The bundle source of this event.